>From 496fc05b0309fa74285151ef570bb6f6fc270934 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Aurimas=20Fi=C5=A1eras?= <aurimas@members.fsf.org>
Date: Thu, 25 Mar 2021 21:27:52 +0200
Subject: po: Update Lithuanian translation
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Aurimas Fišeras <aurimas@members.fsf.org>
---
 po/lt.po | 175 ++++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 159 insertions(+), 16 deletions(-)

diff --git a/po/lt.po b/po/lt.po
index 743929a1c3c..82522e7c567 100644
--- a/po/lt.po
+++ b/po/lt.po
@@ -5,7 +5,7 @@ msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2021-03-05 09:05+0200\n"
+"PO-Revision-Date: 2021-03-25 21:21+0200\n"
 "Last-Translator: Aurimas Fišeras <aurimas@members.fsf.org>\n"
 "Language-Team: Lithuanian <komp_lt@konf.lt>\n"
 "Language: lt\n"
@@ -14224,17 +14224,6 @@ msgid "Icons (*.ico)"
 msgstr "Piktogramos (*.ico)"
 
 #: programs/reg/reg.rc:35
-#, fuzzy
-#| msgid ""
-#| "Usage:\n"
-#| "  REG [operation] [parameters]\n"
-#| "\n"
-#| "Supported operations:\n"
-#| "  ADD | DELETE | IMPORT | EXPORT | QUERY\n"
-#| "\n"
-#| "For help on a specific operation, type:\n"
-#| "  REG [operation] /?\n"
-#| "\n"
 msgid ""
 "Usage:\n"
 "  REG [operation] [parameters]\n"
@@ -14250,7 +14239,7 @@ msgstr ""
 "  REG [operacija] [parametrai]\n"
 "\n"
 "Palaikomos operacijos:\n"
-"  ADD | DELETE | IMPORT | EXPORT | QUERY\n"
+"  ADD | DELETE | EXPORT | IMPORT | QUERY\n"
 "\n"
 "Pagalbai apie specifinę operaciją, įrašykite:\n"
 "  REG [operacija] /?\n"
@@ -14305,6 +14294,55 @@ msgid ""
 "     Modify the registry without prompting for confirmation.\n"
 "\n"
 msgstr ""
+"REG ADD <raktas> [/v reikšmės_vardas | /ve] [/t tipas] [/s skirtukas] [/d "
+"duomenys] [/f]\n"
+"\n"
+"  Prideda raktą į registrą arba prideda naują reikšmę į duotą registro "
+"raktą.\n"
+"\n"
+"  <raktas>\n"
+"     Registro raktas pridėjimui, arba, jei nurodytas bet kuris iš [/v] ar [/"
+"ve],\n"
+"     raktas, į kurį pridėti naujus registro duomenis.\n"
+"\n"
+"     Formatas: ŠAKNIS\\Poraktis\n"
+"\n"
+"     ŠAKNIS: Numatytasis registro raktas. Privalo būti vienas iš:\n"
+"\n"
+"         HKEY_LOCAL_MACHINE  | HKLM\n"
+"         HKEY_CURRENT_USER   | HKCU\n"
+"         HKEY_CLASSES_ROOT   | HKCR\n"
+"         HKEY_USERS          | HKU\n"
+"         HKEY_CURRENT_CONFIG | HKCC\n"
+"\n"
+"     Poraktis: Pilnas kelias iki registro rakto po nurodytu ŠAKNIES raktu.\n"
+"\n"
+"  /v <reikšmės_vardas>\n"
+"     Pridedamos registro reikšmės vardas.\n"
+"\n"
+"  /ve\n"
+"     Pridėti bevardę registro reikšmę. Šis parametras modifikuoja registro\n"
+"     reikšmę (numatytoji).\n"
+"\n"
+"  /t <tipas>\n"
+"     Į registrą pridedamų duomenų tipas. Jei nurodytas [/t],\n"
+"     <tipas> privalo būti vienas iš:\n"
+"\n"
+"         REG_SZ    | REG_MULTI_SZ | REG_EXPAND_SZ\n"
+"         REG_DWORD | REG_BINARY   | REG_NONE\n"
+"\n"
+"     Jei [/t] nenurodytas, numatytasis duomenų tipas yra REG_SZ.\n"
+"\n"
+"  /s <skirtukas>\n"
+"     Simbolis naudojamas eilutėms REG_MULTI_SZ duomenyse atskirti.\n"
+"     Jei [/s] nenurodytas, numatytasis skirtukas yra \\0.\n"
+"\n"
+"  /d <duomenys>\n"
+"     Duomenys pridėjimui į naują registro reikšmę.\n"
+"\n"
+"  /f\n"
+"     Modifikuoti registrą be patvirtinimo klausimo.\n"
+"\n"
 
 #: programs/reg/reg.rc:92
 msgid ""
@@ -14344,6 +14382,43 @@ msgid ""
 "     prompting for confirmation.\n"
 "\n"
 msgstr ""
+"REG DELETE <raktas> [/v reikšmės_vardas | /ve | /va] [/f]\n"
+"\n"
+"  Pašalina registro raktą (įskaitant visus porakčius ir reikšmes), arba "
+"pašalina\n"
+"  vieną ar daugiau reikšmių duotame registro rakte.\n"
+"\n"
+"  <raktas>\n"
+"     Registro raktas pašalinimui, arba, jei nurodytas bet kuris iš [/v], [/"
+"ve] ar [/va],\n"
+"     raktas, kuriame pašalinti vieną ar daugiau reikšmių.\n"
+"\n"
+"     Formatas: ŠAKNIS\\Poraktis\n"
+"\n"
+"     ŠAKNIS: Numatytasis registro raktas. Privalo būti vienas iš:\n"
+"\n"
+"         HKEY_LOCAL_MACHINE  | HKLM\n"
+"         HKEY_CURRENT_USER   | HKCU\n"
+"         HKEY_CLASSES_ROOT   | HKCR\n"
+"         HKEY_USERS          | HKU\n"
+"         HKEY_CURRENT_CONFIG | HKCC\n"
+"\n"
+"     Poraktis: Pilnas kelias iki registro rakto po nurodytu ŠAKNIES raktu.\n"
+"\n"
+"  /v <reikšmės_vardas>\n"
+"     Šalinamos registro reikšmės vardas.\n"
+"\n"
+"  /ve\n"
+"     Pašalinti bevardę registro reikšmę. Šis parametras pašalina registro\n"
+"     reikšmę (numatytoji).\n"
+"\n"
+"  /va\n"
+"     Pašalinti visas registro rakto reikšmes.\n"
+"\n"
+"  /f\n"
+"     Pašalinti registro raktą (įskaitant visus porakčius ir reikšmes) be\n"
+"     patvirtinimo klausimo.\n"
+"\n"
 
 #: programs/reg/reg.rc:114
 msgid ""
@@ -14379,16 +14454,49 @@ msgid ""
 "     List all registry entries under <key> and its subkeys.\n"
 "\n"
 msgstr ""
+"REG QUERY <raktas> [/v reikšmės_vardas | /ve] [/s]\n"
+"\n"
+"  Užklausia nurodyto registro rakto ir išveda visus tiesioginius porakčius, "
+"reikšmes\n"
+"  ir duomenis tame rakte. Naudokite [/s] rekursyviai užklausti kiekvieno "
+"porakčio.\n"
+"\n"
+"  <raktas>\n"
+"     Registro raktas užklausimui.\n"
+"\n"
+"     Formatas: ŠAKNIS\\Poraktis\n"
+"\n"
+"     ŠAKNIS: Numatytasis registro raktas. Privalo būti vienas iš:\n"
+"\n"
+"         HKEY_LOCAL_MACHINE  | HKLM\n"
+"         HKEY_CURRENT_USER   | HKCU\n"
+"         HKEY_CLASSES_ROOT   | HKCR\n"
+"         HKEY_USERS          | HKU\n"
+"         HKEY_CURRENT_CONFIG | HKCC\n"
+"\n"
+"     Poraktis: Pilnas kelias iki registro rakto po nurodytu ŠAKNIES raktu.\n"
+"\n"
+"  /v <reikšmės_vardas>\n"
+"     Užklausiamos registro reikšmės vardas. Jei nenurodytas nei [/v], nei [/"
+"ve],\n"
+"     išvedamos visos rakto <raktas> reikšmės.\n"
+"\n"
+"  /ve\n"
+"     Užklausti bevardės registro reikšmės. Šis parametras užklausia "
+"registro\n"
+"     reikšmės (numatytoji).\n"
+"\n"
+"  /s\n"
+"     Išvesti visus registro įrašus po raktu <raktas> ir jo porakčiais.\n"
+"\n"
 
 #: programs/reg/reg.rc:116
 msgid "The operation completed successfully\n"
 msgstr "Operacija sėkmingai įvykdyta\n"
 
 #: programs/reg/reg.rc:117
-#, fuzzy
-#| msgid "reg: Invalid key name\n"
 msgid "reg: Invalid registry key\n"
-msgstr "reg: Netinkamas rakto vardas\n"
+msgstr "reg: Netinkamas registro raktas\n"
 
 #: programs/reg/reg.rc:118
 msgid "reg: Invalid command line parameters\n"
@@ -14494,6 +14602,13 @@ msgid ""
 "     The name and path of the registry file to import.\n"
 "\n"
 msgstr ""
+"REG IMPORT <failas>\n"
+"\n"
+"  Importuoja raktus, reikšmes ir duomenis iš nurodyto failo į registrą.\n"
+"\n"
+"  <failas>\n"
+"     Registro failo, kuris bus importuotas, pavadinimas ir kelias.\n"
+"\n"
 
 #: programs/reg/reg.rc:149
 msgid "reg: The file '%1' was not found.\n"
@@ -14537,6 +14652,34 @@ msgid ""
 "     Overwrite <file> without prompting for confirmation.\n"
 "\n"
 msgstr ""
+"REG EXPORT <raktas> <failas> [/y]\n"
+"\n"
+"  Eksportuoja nurodytą registro raktą (įskaitant visus porakčius ir "
+"reikšmes)\n"
+"  į failą\n"
+"\n"
+"  <raktas>\n"
+"     Registro raktas eksportui.\n"
+"\n"
+"     Formatas: ŠAKNIS\\Poraktis\n"
+"\n"
+"     ŠAKNIS: Numatytasis registro raktas. Privalo būti vienas iš:\n"
+"\n"
+"         HKEY_LOCAL_MACHINE  | HKLM\n"
+"         HKEY_CURRENT_USER   | HKCU\n"
+"         HKEY_CLASSES_ROOT   | HKCR\n"
+"         HKEY_USERS          | HKU\n"
+"         HKEY_CURRENT_CONFIG | HKCC\n"
+"\n"
+"     Poraktis: Pilnas kelias iki registro rakto po nurodytu ŠAKNIES raktu.\n"
+"\n"
+"  <failas>\n"
+"     Registro failo, kuris bus sukurtas, pavadinimas ir kelias.\n"
+"     Failas privalo turėti plėtinį .reg.\n"
+"\n"
+"  /y\n"
+"     Perrašyti <failas> be patvirtinimo klausimo.\n"
+"\n"
 
 #: programs/reg/reg.rc:172
 msgid "reg: Invalid system key [%1]\n"
-- 
2.30.2