From 563fee9c420d7bb081aa5b0306bb590e06992204 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Julian=20R=C3=BCger?= <jr98@gmx.net>
Date: Fri, 17 Nov 2017 14:30:43 +0100
Subject: po: Update German translation.

---
 po/de.po | 68 ++++++++++++++++------------------------------------------------
 1 file changed, 17 insertions(+), 51 deletions(-)

diff --git a/po/de.po b/po/de.po
index cceec1a..613ea41 100644
--- a/po/de.po
+++ b/po/de.po
@@ -1,20 +1,18 @@
 # German translations for Wine
 #
-# Marcus Meissner <marcus@jet.franken.de>, 2017.
 msgid ""
 msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: http://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2017-10-28 15:22+0100\n"
-"Last-Translator: Marcus Meissner <marcus@jet.franken.de>\n"
-"Language-Team: German <kde-i18n-de@kde.org>\n"
+"PO-Revision-Date: 2017-11-17 14:31+0100\n"
+"Last-Translator: Julian Rüger\n"
+"Language-Team: German\n"
 "Language: de\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Lokalize 2.0\n"
 
 #: appwiz.rc:58
 msgid "Install/Uninstall"
@@ -10661,6 +10659,16 @@ msgid ""
 "link_name is the name of the new symbolic link.\n"
 "target is the path that link_name points to.\n"
 msgstr ""
+"MKLINK legt einen symbolischen Link an.\n"
+"\n"
+"Syntax: MKLINK [Optionen] Linkname Ziel\n"
+"\n"
+"Optionen:\n"
+"/d             Symlink auf ein Verzeichnis anlegen.\n"
+"/h             Einen Hardlink anlegen.\n"
+"/j             Einen Verzeichnisknoten anlegen.\n"
+"'Linkname' entspricht dem Dateinamen des neuen Symlinks.\n"
+"'Ziel' ist der Pfad, auf den 'Linkname' verweisen wird.\n"
 
 #: cmd.rc:312
 msgid ""
@@ -10671,47 +10679,6 @@ msgstr ""
 "der Shell zurück, von der CMD gestartet wurde.\n"
 
 #: cmd.rc:364
-#, fuzzy
-#| msgid ""
-#| "CMD built-in commands are:\n"
-#| "ASSOC\t\tShow or modify file extension associations\n"
-#| "ATTRIB\t\tShow or change DOS file attributes\n"
-#| "CALL\t\tInvoke a batch file from inside another\n"
-#| "CD (CHDIR)\tChange current default directory\n"
-#| "CHOICE\t\tWait for an keypress from a selectable list\n"
-#| "CLS\t\tClear the console screen\n"
-#| "COPY\t\tCopy file\n"
-#| "CTTY\t\tChange input/output device\n"
-#| "DATE\t\tShow or change the system date\n"
-#| "DEL (ERASE)\tDelete a file or set of files\n"
-#| "DIR\t\tList the contents of a directory\n"
-#| "ECHO\t\tCopy text directly to the console output\n"
-#| "ENDLOCAL\tEnd localization of environment changes in a batch file\n"
-#| "FTYPE\t\tShow or modify open commands associated with file types\n"
-#| "HELP\t\tShow brief help details on a topic\n"
-#| "MD (MKDIR)\tCreate a subdirectory\n"
-#| "MORE\t\tDisplay output in pages\n"
-#| "MOVE\t\tMove a file, set of files or directory tree\n"
-#| "PATH\t\tSet or show the search path\n"
-#| "PAUSE\t\tSuspend execution of a batch file\n"
-#| "POPD\t\tRestore the directory to the last one saved with PUSHD\n"
-#| "PROMPT\t\tChange the command prompt\n"
-#| "PUSHD\t\tChange to a new directory, saving the current one\n"
-#| "REN (RENAME)\tRename a file\n"
-#| "RD (RMDIR)\tDelete a subdirectory\n"
-#| "SET\t\tSet or show environment variables\n"
-#| "SETLOCAL\tStart localization of environment changes in a batch file\n"
-#| "START\t\tStart a program, or open a document in the associated program\n"
-#| "TIME\t\tSet or show the current system time\n"
-#| "TITLE\t\tSet the window title for the CMD session\n"
-#| "TYPE\t\tType the contents of a text file\n"
-#| "VER\t\tShow the current version of CMD\n"
-#| "VOL\t\tShow the volume label of a disk device\n"
-#| "XCOPY\t\tCopy source files or directory trees to a destination\n"
-#| "EXIT\t\tClose down CMD\n"
-#| "\n"
-#| "Enter HELP <command> for further information on any of the above "
-#| "commands.\n"
 msgid ""
 "CMD built-in commands are:\n"
 "ASSOC\t\tShow or modify file extension associations\n"
@@ -10770,6 +10737,7 @@ msgstr ""
 "FTYPE\t\tZeigt oder ändert den Öffnen-Befehl für eine Dateierweiterung\n"
 "HELP\t\tZeigt detaillierte Informationen zu einen Thema\n"
 "MD (MKDIR)\tErzeugt ein Unterverzeichnis\n"
+"MKLINK\t\tLegt einen symbolischen Link an\n"
 "MORE\t\tZeigt die Ausgabe seitenweise an\n"
 "MOVE\t\tBewegt eine oder mehrere Dateien oder einen Verzeichnisbaum\n"
 "PATH\t\tSetzt oder zeigt den Suchpfad an\n"
@@ -12261,7 +12229,7 @@ msgstr "(Wert nicht gesetzt)"
 
 #: reg.rc:66
 msgid "REG IMPORT file.reg\n"
-msgstr "REG IMPORT file.reg\n"
+msgstr "REG IMPORT datei.reg\n"
 
 #: reg.rc:67
 msgid "reg: The file '%1' was not found.\n"
@@ -15063,10 +15031,8 @@ msgid "Expert"
 msgstr "Experten"
 
 #: winemine.rc:74 winemine.rc:33
-#, fuzzy
-#| msgid "Result"
 msgid "Reset Results"
-msgstr "Ergebnis"
+msgstr "Ergebnisse zurücksetzen"
 
 #: winemine.rc:80
 msgid "Congratulations!"
@@ -15094,7 +15060,7 @@ msgstr "Minen"
 
 #: winemine.rc:34
 msgid "All results will be lost. Are you sure?"
-msgstr ""
+msgstr "Sämtliche Ergebnisse werden entfernt. Sind Sie sicher?"
 
 #: winemine.rc:30
 msgid "WineMine"
-- 
2.1.4