From 995e9756ace6b0eee190ac4d3e9655a1622fd1e4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Julian=20R=C3=BCger?= <jr98@gmx.net>
Date: Fri, 10 May 2019 10:56:01 +0200
Subject: po: Update German translation.

---
 po/de.po | 369 +++++++++++++++------------------------------------------------
 1 file changed, 88 insertions(+), 281 deletions(-)

diff --git a/po/de.po b/po/de.po
index a6206b1..431bdcc 100644
--- a/po/de.po
+++ b/po/de.po
@@ -5,15 +5,14 @@ msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2019-03-19 15:03+0000\n"
-"Last-Translator: Oliver Henning <oliver.henning@gmail.com>\n"
+"PO-Revision-Date: 2019-05-10 10:54+0200\n"
+"Last-Translator: Julian Rüger <jr98@gmx.net>\n"
 "Language-Team: German\n"
 "Language: de\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Lokalize 18.12.2\n"
 
 #: appwiz.rc:58
 msgid "Install/Uninstall"
@@ -6826,473 +6825,335 @@ msgstr "E-Mail senden"
 
 #: mferror.mc:249 mferror.mc:256
 msgid "Begin request has already been made.\n"
-msgstr ""
+msgstr "Startanfrage wurde bereits gestellt.\n"
 
 #: mferror.mc:32
-#, fuzzy
-#| msgid "Installation platform not supported.\n"
 msgid "Media Foundation platform is not initialized.\n"
-msgstr "Installationsplattform nicht unterstützt.\n"
+msgstr "Media-Foundation-Plattform wurde nicht initialisiert.\n"
 
 #: mferror.mc:39
-#, fuzzy
-#| msgid "Byte count too small.\n"
 msgid "Buffer is too small.\n"
-msgstr "Bytezahl zu klein.\n"
+msgstr "Puffer zu klein.\n"
 
 #: mferror.mc:46
-#, fuzzy
-#| msgid "Invalid query syntax.\n"
 msgid "Invalid request.\n"
-msgstr "Ungültige Abfrage-Syntax.\n"
+msgstr "Ungültige Anfrage.\n"
 
 #: mferror.mc:53
-#, fuzzy
-#| msgid "Invalid segment number.\n"
 msgid "Invalid stream number.\n"
-msgstr "Ungültige Segmentnummer.\n"
+msgstr "Ungültige Datenstromnummer.\n"
 
 #: mferror.mc:60
-#, fuzzy
-#| msgid "Invalid data type.\n"
 msgid "Invalid media type.\n"
-msgstr "Ungültiger Datentyp.\n"
+msgstr "Ungültiger Medientyp.\n"
 
 #: mferror.mc:67
-#, fuzzy
-#| msgid "No more entries.\n"
 msgid "No more input is accepted.\n"
-msgstr "Keine weiteren Einträge.\n"
+msgstr "Keine weiteren Eingaben akzeptiert.\n"
 
 #: mferror.mc:74
-#, fuzzy
-#| msgid "Object UUID not found.\n"
 msgid "Object is not initialized.\n"
-msgstr "Objekt-UUID nicht gefunden.\n"
+msgstr "Objekt nicht initialisiert.\n"
 
 #: mferror.mc:81
-#, fuzzy
-#| msgid "Operation not supported.\n"
 msgid "Representation is not supported.\n"
-msgstr "Operation nicht unterstützt.\n"
+msgstr "Repräsentierung nicht unterstützt.\n"
 
 #: mferror.mc:88
 msgid "No more types in the list of suggested media types.\n"
-msgstr ""
+msgstr "Keine weiteren Einträge in der Liste der vorgeschlagenen Medientypen.\n"
 
 #: mferror.mc:95
-#, fuzzy
-#| msgid "Unsupported type.\n"
 msgid "Unsupported service.\n"
-msgstr "Nicht unterstützter Typ.\n"
+msgstr "Nicht unterstützter Dienst.\n"
 
 #: mferror.mc:102
-#, fuzzy
-#| msgid "Unexpected network error.\n"
 msgid "Unexpected error.\n"
-msgstr "Unerwarteter Netzwerkfehler.\n"
+msgstr "Unerwarteter Fehler.\n"
 
 #: mferror.mc:116
-#, fuzzy
-#| msgid "Invalid time.\n"
 msgid "Invalid type.\n"
-msgstr "Ungültige Zeit.\n"
+msgstr "Ungültiger Typ.\n"
 
 #: mferror.mc:123
-#, fuzzy
-#| msgid "Invalid pixel format.\n"
 msgid "Invalid file format.\n"
-msgstr "Ungültiges Pixelformat.\n"
+msgstr "Ungültiges Dateiformat.\n"
 
 #: mferror.mc:137
-#, fuzzy
-#| msgid "Invalid time.\n"
 msgid "Invalid timestamp.\n"
-msgstr "Ungültige Zeit.\n"
+msgstr "Ungültiger Zeitstempel.\n"
 
 #: mferror.mc:144
-#, fuzzy
-#| msgid "Unsupported type.\n"
 msgid "Unsupported scheme.\n"
-msgstr "Nicht unterstützter Typ.\n"
+msgstr "Nicht unterstütztes Schema.\n"
 
 #: mferror.mc:151
-#, fuzzy
-#| msgid "Unsupported type.\n"
 msgid "Unsupported bytestream type.\n"
-msgstr "Nicht unterstützter Typ.\n"
+msgstr "Nicht unterstützter Bytestrom-Typ.\n"
 
 #: mferror.mc:158
-#, fuzzy
-#| msgid "Unsupported type.\n"
 msgid "Unsupported time format.\n"
-msgstr "Nicht unterstützter Typ.\n"
+msgstr "Nicht unterstütztes Zeitformat.\n"
 
 #: mferror.mc:165
 msgid "Timestamp is not set for the sample.\n"
-msgstr ""
+msgstr "Zeitstempel für diesen Abtastwert nicht gesetzt.\n"
 
 #: mferror.mc:172
 msgid "No duration set for the sample.\n"
-msgstr ""
+msgstr "Dauer für diesen Abtastwert nicht gesetzt.\n"
 
 #: mferror.mc:179
-#, fuzzy
-#| msgid "Invalid data.\n"
 msgid "Invalid stream data.\n"
-msgstr "Ungültige Daten.\n"
+msgstr "Ungültige Daten im Datenstrom.\n"
 
 #: mferror.mc:186
-#, fuzzy
-#| msgid "Help not available."
 msgid "Realtime support is not available.\n"
-msgstr "Keine Hilfe verfügbar."
+msgstr "Echtzeitunterstützung nicht verfügbar.\n"
 
 #: mferror.mc:193
-#, fuzzy
-#| msgid "Unsupported type.\n"
 msgid "Unsupported rate.\n"
-msgstr "Nicht unterstützter Typ.\n"
+msgstr "Nicht unterstützte Rate.\n"
 
 #: mferror.mc:200
-#, fuzzy
-#| msgid "Unsupported type.\n"
 msgid "Unsupported thinning.\n"
-msgstr "Nicht unterstützter Typ.\n"
+msgstr "Nicht unterstütztes Ausdünnen.\n"
 
 #: mferror.mc:207
-#, fuzzy
-#| msgid "Request not supported.\n"
 msgid "Reversing is not supported.\n"
-msgstr "Anfrage nicht unterstützt.\n"
+msgstr "Rückwärts abspielen wird nicht unterstützt.\n"
 
 #: mferror.mc:214
-#, fuzzy
-#| msgid "Unsupported authorization level.\n"
 msgid "Unsupported rate transition.\n"
-msgstr "Nicht unterstützte Berechtigungsstufe.\n"
+msgstr "Nicht unterstützter Ratenübergang.\n"
 
 #: mferror.mc:221
 msgid "Rate change was preempted.\n"
-msgstr ""
+msgstr "Ratenänderung wurde blockiert.\n"
 
 #: mferror.mc:228
-#, fuzzy
-#| msgid "Object UUID not found.\n"
 msgid "Object or value wasn't found.\n"
-msgstr "Objekt-UUID nicht gefunden.\n"
+msgstr "Objekt oder Wert nicht gefunden.\n"
 
 #: mferror.mc:235
-#, fuzzy
-#| msgid "Help not available."
 msgid "Value is not available.\n"
-msgstr "Keine Hilfe verfügbar."
+msgstr "Wert nicht verfügbar.\n"
 
 #: mferror.mc:242
-#, fuzzy
-#| msgid "Help not available."
 msgid "Clock is not available.\n"
-msgstr "Keine Hilfe verfügbar."
+msgstr "Zeitgeber nicht verfügbar.\n"
 
 #: mferror.mc:263
-#, fuzzy
-#| msgid "Extended attributes not supported.\n"
 msgid "Multiple subscribers are not supported.\n"
-msgstr "Erweiterte Attribute nicht unterstützt.\n"
+msgstr "Mehr als ein Teilnehmer wird nicht unterstützt.\n"
 
 #: mferror.mc:270
-#, fuzzy
-#| msgid "The driver was not enabled."
 msgid "The timer was orphaned.\n"
-msgstr "Der Treiber konnte nicht gestartet werden."
+msgstr "Der Timer ist verwaist.\n"
 
 #: mferror.mc:277
-#, fuzzy
-#| msgid "Character translation table open failed.\n"
 msgid "State transition is pending.\n"
-msgstr "Öffnen der Zeichenübersetzungstabelle fehlgeschlagen.\n"
+msgstr "Statusänderung steht aus.\n"
 
 #: mferror.mc:284
-#, fuzzy
-#| msgid "Unsupported authorization level.\n"
 msgid "Unsupported state transition.\n"
-msgstr "Nicht unterstützte Berechtigungsstufe.\n"
+msgstr "Nicht unterstützter Statusübergang.\n"
 
 #: mferror.mc:291
-#, fuzzy
-#| msgid "An internal error has occurred.\n"
 msgid "Unrecoverable error occurred.\n"
-msgstr "Ein interner Fehler ist aufgetreten.\n"
+msgstr "Nicht ausgleichbarer Fehler aufgetreten.\n"
 
 #: mferror.mc:298
 msgid "Sample has too many buffers.\n"
-msgstr ""
+msgstr "Abtastwert hat zu viele Puffer.\n"
 
 #: mferror.mc:305
-#, fuzzy
-#| msgid "Temporary directory not writable.\n"
 msgid "Sample is not writable.\n"
-msgstr "Kein Schreibzugriff auf temporäres Verzeichnis.\n"
+msgstr "Abtastwert nicht schreibbar.\n"
 
 #: mferror.mc:312
-#, fuzzy
-#| msgid "Path is invalid.\n"
 msgid "Key is invalid.\n"
-msgstr "Pfad ist ungültig.\n"
+msgstr "Schlüssel ungültig.\n"
 
 #: mferror.mc:319
-#, fuzzy
-#| msgid "Wrong stub version.\n"
 msgid "Bad startup version.\n"
-msgstr "Fehlerhafte Stub-Version.\n"
+msgstr "Unbekannte Versionsnummer beim Initialisieren.\n"
 
 #: mferror.mc:326
-#, fuzzy
-#| msgid "Unsupported type.\n"
 msgid "Unsupported caption.\n"
-msgstr "Nicht unterstützter Typ.\n"
+msgstr "Nicht unterstützte Caption-URL.\n"
 
 #: mferror.mc:333
-#, fuzzy
-#| msgid "Invalid workstation.\n"
 msgid "Invalid position.\n"
-msgstr "Ungültiger Arbeitsplatz.\n"
+msgstr "Ungültige Position.\n"
 
 #: mferror.mc:340
-#, fuzzy
-#| msgid "File not found.\n"
 msgid "Attribute is not found.\n"
-msgstr "Datei nicht gefunden.\n"
+msgstr "Attribut nicht gefunden.\n"
 
 #: mferror.mc:347
-#, fuzzy
-#| msgid "Hook type not allowed.\n"
 msgid "Property type is not allowed.\n"
-msgstr "Hook-Typ nicht erlaubt.\n"
+msgstr "Merkmal von diesem Typ nicht erlaubt.\n"
 
 #: mferror.mc:354
-#, fuzzy
-#| msgid "Operation not supported.\n"
 msgid "Property type is not supported.\n"
-msgstr "Operation nicht unterstützt.\n"
+msgstr "Typ des Merkmals nicht unterstützt.\n"
 
 #: mferror.mc:361
-#, fuzzy
-#| msgid "Directory is not empty.\n"
 msgid "Property is empty.\n"
-msgstr "Verzeichnis ist nicht leer.\n"
+msgstr "Merkmal ist leer.\n"
 
 #: mferror.mc:368
-#, fuzzy
-#| msgid "Directory is not empty.\n"
 msgid "Property is not empty.\n"
-msgstr "Verzeichnis ist nicht leer.\n"
+msgstr "Merkmal ist nicht leer.\n"
 
 #: mferror.mc:375
-#, fuzzy
-#| msgid "Hook type not allowed.\n"
 msgid "Vector property is not allowed.\n"
-msgstr "Hook-Typ nicht erlaubt.\n"
+msgstr "Vektor-Merkmal nicht erlaubt.\n"
 
 #: mferror.mc:382
 msgid "Vector property is required.\n"
-msgstr ""
+msgstr "Vektor-Merkmal erforderlich.\n"
 
 #: mferror.mc:389
-#, fuzzy
-#| msgid "Operation canceled by user.\n"
 msgid "Operation was cancelled.\n"
-msgstr "Vorgang durch Benutzer abgebrochen.\n"
+msgstr "Vorgang wurde abgebrochen.\n"
 
 #: mferror.mc:396
-#, fuzzy
-#| msgid "Server not disabled.\n"
 msgid "Bytestream is not seekable.\n"
-msgstr "Server nicht deaktiviert.\n"
+msgstr "Bytestrom nicht spulbar.\n"
 
 #: mferror.mc:403
 msgid "Platform is disabled in safe mode.\n"
-msgstr ""
+msgstr "Plattform ist im abgesicherten Modus nicht verfügbar.\n"
 
 #: mferror.mc:410
-#, fuzzy
-#| msgid "Cannot create service thread.\n"
 msgid "Cannot parse bytestream.\n"
-msgstr "Kann Dienst-Thread nicht erstellen.\n"
+msgstr "Bytestrom kann nicht geparst werden.\n"
 
 #: mferror.mc:417
 msgid "Mutually exclusive flags passed to source resolver.\n"
-msgstr ""
+msgstr "Widersprüchliche Flags an den Quellenauflöser übergeben.\n"
 
 #: mferror.mc:424
-#, fuzzy
-#| msgid "Unknown interface.\n"
 msgid "Unknown bytestream length.\n"
-msgstr "Unbekanntes Interface.\n"
+msgstr "Unbekannte Bytestrom-Länge.\n"
 
 #: mferror.mc:431
-#, fuzzy
-#| msgid "Invalid index.\n"
 msgid "Invalid work queue index.\n"
-msgstr "Ungültiger Index.\n"
+msgstr "Ungültiger Warteschleifenindex.\n"
 
 #: mferror.mc:438
-#, fuzzy
-#| msgid "No logon servers available.\n"
 msgid "No events available.\n"
-msgstr "Keine Logon-Server verfügbar.\n"
+msgstr "Keine Events verfügbar.\n"
 
 #: mferror.mc:445
-#, fuzzy
-#| msgid "Unsupported authorization level.\n"
 msgid "Invalid media source state transition.\n"
-msgstr "Nicht unterstützte Berechtigungsstufe.\n"
+msgstr "Ungültige Statusänderung der Medienquelle.\n"
 
 #: mferror.mc:452
-#, fuzzy
-#| msgid "Registry has been recovered.\n"
 msgid "End of media stream has been reached.\n"
-msgstr "Registrierung wurde wiederhergestellt.\n"
+msgstr "Ende des Medienstroms wurde erreicht.\n"
 
 #: mferror.mc:459
 msgid "Shutdown() was called.\n"
-msgstr ""
+msgstr "Shutdown() wurde aufgerufen.\n"
 
 #: mferror.mc:466
-#, fuzzy
-#| msgid "Registry has been recovered.\n"
 msgid "Media stream has no duration set.\n"
-msgstr "Registrierung wurde wiederhergestellt.\n"
+msgstr "Für den Medienstrom wurde keine Dauer gesetzt.\n"
 
 #: mferror.mc:473
 msgid "Media format was recognized but is invalid.\n"
-msgstr ""
+msgstr "Medienformat wurde erkannt, aber ist ungültig.\n"
 
 #: mferror.mc:480
-#, fuzzy
-#| msgid "Property set not found.\n"
 msgid "Property wasn't found.\n"
-msgstr "Eigenschaften nicht gefunden.\n"
+msgstr "Merkmal nicht gefunden.\n"
 
 #: mferror.mc:487
-#, fuzzy
-#| msgid "Directory is not empty.\n"
 msgid "Property is read-only.\n"
-msgstr "Verzeichnis ist nicht leer.\n"
+msgstr "Merkmal ist schreibgeschützt.\n"
 
 #: mferror.mc:494
-#, fuzzy
-#| msgid "Hook type not allowed.\n"
 msgid "Property is not allowed.\n"
-msgstr "Hook-Typ nicht erlaubt.\n"
+msgstr "Merkmal nicht erlaubt.\n"
 
 #: mferror.mc:501
-#, fuzzy
-#| msgid "Resource in use.\n"
 msgid "Media source is not started.\n"
-msgstr "Ressource in Benutzung.\n"
+msgstr "Medienquelle ist nicht gestartet.\n"
 
 #: mferror.mc:508
-#, fuzzy
-#| msgid "Unsupported type.\n"
 msgid "Unsupported media format.\n"
-msgstr "Nicht unterstützter Typ.\n"
+msgstr "Nicht unterstütztes Medienformat.\n"
 
 #: mferror.mc:515
-#, fuzzy
-#| msgid "Resource in use.\n"
 msgid "Media source is in wrong state.\n"
-msgstr "Ressource in Benutzung.\n"
+msgstr "Medienquelle befindet sich in falschem Zustand.\n"
 
 #: mferror.mc:522
-#, fuzzy
-#| msgid "No data detected.\n"
 msgid "No media streams were selected.\n"
-msgstr "Keine Daten gefunden.\n"
+msgstr "Keine Medienströme ausgewählt.\n"
 
 #: mferror.mc:529
-#, fuzzy
-#| msgid "Unsupported type.\n"
 msgid "Unsupported media source characteristics.\n"
-msgstr "Nicht unterstützter Typ.\n"
+msgstr "Nicht unterstützte Medienquellen-Charakteristik.\n"
 
 #: mferror.mc:536
-#, fuzzy
-#| msgid "Connection invalid.\n"
 msgid "Optional node is invalid.\n"
-msgstr "Ungültige Verbindung.\n"
+msgstr "Optionaler Knoten ist ungültig.\n"
 
 #: mferror.mc:543
-#, fuzzy
-#| msgid "Cannot find the printer."
 msgid "Cannot find decryptor.\n"
-msgstr "Kann den Drucker nicht finden."
+msgstr "Entschlüsselungsmodul nicht gefunden.\n"
 
 #: mferror.mc:550
-#, fuzzy
-#| msgid "Module not found.\n"
 msgid "Codec was not found.\n"
-msgstr "Modul nicht gefunden.\n"
+msgstr "Codec nicht gefunden.\n"
 
 #: mferror.mc:557
-#, fuzzy
-#| msgid "Cannot get call handle.\n"
 msgid "Cannot connect topology nodes.\n"
-msgstr "Kann Aufruf-Handle nicht bestimmen.\n"
+msgstr "Topologieknoten konnten nicht verbunden werden.\n"
 
 #: mferror.mc:564
-#, fuzzy
-#| msgid "Request not supported.\n"
 msgid "Topology request is not supported.\n"
-msgstr "Anfrage nicht unterstützt.\n"
+msgstr "Topologieanfrage nicht unterstützt.\n"
 
 #: mferror.mc:571
-#, fuzzy
-#| msgid "Invalid group attributes.\n"
 msgid "Invalid topology time attributes.\n"
-msgstr "Ungültige Gruppen-Attribute.\n"
+msgstr "Ungültige Topologie-Zeitattribute.\n"
 
 #: mferror.mc:578
 msgid "Found loops in topology.\n"
-msgstr ""
+msgstr "Zirkuläre Abhängigkeiten in Topologie gefunden.\n"
 
 #: mferror.mc:585
-#, fuzzy
-#| msgid "Installation source is missing.\n"
 msgid "Presentation descriptor is missing.\n"
-msgstr "Die Installationsquelle fehlt.\n"
+msgstr "Präsentationsdeskriptor fehlt.\n"
 
 #: mferror.mc:592
-#, fuzzy
-#| msgid "Index is missing.\n"
 msgid "Stream descriptor is missing.\n"
-msgstr "Index fehlt.\n"
+msgstr "Datenstromdeskriptor fehlt.\n"
 
 #: mferror.mc:599
-#, fuzzy
-#| msgid "The device is not connected.\n"
 msgid "Stream descriptor is not selected.\n"
-msgstr "Das Gerät ist nicht verbunden.\n"
+msgstr "Datenstromdeskriptor nicht ausgewählt.\n"
 
 #: mferror.mc:606
-#, fuzzy
-#| msgid "Index is missing.\n"
 msgid "Source is missing.\n"
-msgstr "Index fehlt.\n"
+msgstr "Quelle fehlt.\n"
 
 #: mferror.mc:613
 msgid "Topology loader does not support sink activates.\n"
-msgstr ""
+msgstr "Der Topologie-Lader unterstützt keine Ausgangsaktivierung.\n"
 
 #: mferror.mc:620
 msgid "Clock has no time source set.\n"
-msgstr ""
+msgstr "Zeitgeber hat keine zugewiesene Zeitquelle.\n"
 
 #: mferror.mc:627
-#, fuzzy
-#| msgid "Class already exists.\n"
 msgid "Clock state was already set.\n"
-msgstr "Klasse existiert bereits.\n"
+msgstr "Zeitgeberstatus wurde bereits gesetzt.\n"
 
 #: mpr.rc:35 wininet.rc:37
 msgid "Enter Network Password"
@@ -11128,10 +10989,6 @@ msgstr ""
 "aus. Sie können sie nicht zusammen verwenden."
 
 #: winmm.rc:128
-#, fuzzy
-#| msgid ""
-#| "The specified MIDI port is already in use. Wait until it is free; then "
-#| "try again."
 msgid ""
 "The specified MIDI port is already in use. Wait until it is free, and then "
 "try again."
@@ -11153,16 +11010,12 @@ msgid "An error occurred with the specified port."
 msgstr "Es ist ein Fehler mit dem angegebenen Anschluss aufgetreten."
 
 #: winmm.rc:133
-#, fuzzy
-#| msgid ""
-#| "All multimedia timers are being used by other applications. Quit one of "
-#| "these applications; then, try again."
 msgid ""
 "All multimedia timers are being used by other applications. Quit one of "
 "these applications, and then try again."
 msgstr ""
 "Alle Multimediazeitgeber werden von anderen Anwendungen verwendet. Beenden "
-"Sie eine dieser Anwendungen, und versuchen Sie es erneut."
+"Sie eine dieser Anwendungen und versuchen Sie es erneut."
 
 #: winmm.rc:132
 msgid "The system doesn't have a current MIDI port specified."
@@ -15524,10 +15377,6 @@ msgid "Drive configuration"
 msgstr "Laufwerkskonfiguration"
 
 #: winecfg.rc:233
-#, fuzzy
-#| msgid ""
-#| "Failed to connect to the mount manager, the drive configuration cannot be "
-#| "edited."
 msgid ""
 "Failed to connect to the mount manager; the drive configuration cannot be "
 "edited."
@@ -15819,22 +15668,16 @@ msgid "System drive"
 msgstr "Systemlaufwerk"
 
 #: winecfg.rc:76
-#, fuzzy
-#| msgid ""
-#| "Are you sure you want to delete drive C?\n"
-#| "\n"
-#| "Most Windows applications expect drive C to exist, and will die messily "
-#| "if it doesn't. If you proceed remember to recreate it!"
 msgid ""
 "Are you sure you want to delete drive C?\n"
 "\n"
 "Most Windows applications expect drive C to exist, and will die messily if "
 "it doesn't. If you proceed, remember to recreate it!"
 msgstr ""
-"Sind Sie sich sicher, dass Sie Laufwerk C entfernen möchten?\n"
+"Sind Sie sicher, dass Sie Laufwerk C entfernen möchten?\n"
 "\n"
 "Die meisten Windows-Anwendungen erwarten, dass ein Laufwerk C existiert und "
-"funktionieren ohne nicht richtig. Wenn Sie fortfahren, vergessen Sie nicht, "
+"werden ohne dieses unsauber abstürzen. Wenn Sie fortfahren, vergessen Sie nicht, "
 "Laufwerk C neu zu erstellen!"
 
 #: winecfg.rc:77
@@ -17114,42 +16957,6 @@ msgid "D"
 msgstr "V"
 
 #: xcopy.rc:81
-#, fuzzy
-#| msgid ""
-#| "XCOPY - Copies source files or directory trees to a destination.\n"
-#| "\n"
-#| "Syntax:\n"
-#| "XCOPY source [destination] [/I] [/S] [/Q] [/F] [/L] [/W] [/T] [/N] [/U]\n"
-#| "\t     [/R] [/H] [/C] [/P] [/A] [/M] [/E] [/D] [/Y] [/-Y]\n"
-#| "\n"
-#| "Where:\n"
-#| "\n"
-#| "[/I]  Assume directory if destination does not exist and copying two or\n"
-#| "\tmore files.\n"
-#| "[/S]  Copy directories and subdirectories.\n"
-#| "[/E]  Copy directories and subdirectories, including any empty ones.\n"
-#| "[/Q]  Do not list names during copy, that is be quiet.\n"
-#| "[/F]  Show full source and destination names during copy.\n"
-#| "[/L]  Simulate operation, showing names which would be copied.\n"
-#| "[/W]  Prompts before beginning the copy operation.\n"
-#| "[/T]  Creates empty directory structure but does not copy files.\n"
-#| "[/Y]  Suppress prompting when overwriting files.\n"
-#| "[/-Y] Enable prompting when overwriting files.\n"
-#| "[/P]  Prompts on each source file before copying.\n"
-#| "[/N]  Copy using short names.\n"
-#| "[/U]  Copy only files which already exist in destination.\n"
-#| "[/R]  Overwrite any read only files.\n"
-#| "[/H]  Include hidden and system files in the copy.\n"
-#| "[/C]  Continue even if an error occurs during the copy.\n"
-#| "[/A]  Only copy files with archive attribute set.\n"
-#| "[/M]  Only copy files with archive attribute set, removes the\n"
-#| "\tarchive attribute.\n"
-#| "[/K]  Copy file attributes, without this attributes are not preserved.\n"
-#| "[/D | /D:m-d-y] Copy new files or those modified after the supplied "
-#| "date.\n"
-#| "\t\tIf no date is supplied, only copy if destination is older\n"
-#| "\t\tthan source.\n"
-#| "\n"
 msgid ""
 "XCOPY - Copies source files or directory trees to a destination.\n"
 "\n"
-- 
2.1.4