From 7ef747acd9a537ff2bbdf506b520e7e778489e1e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Julian=20R=C3=BCger?= <jr98@gmx.net>
Date: Mon, 29 Mar 2021 11:49:48 +0200
Subject: po: Update German translation.

---
 po/de.po | 222 +++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 165 insertions(+), 57 deletions(-)

diff --git a/po/de.po b/po/de.po
index e1da2c7..11e24e4 100644
--- a/po/de.po
+++ b/po/de.po
@@ -5,7 +5,7 @@ msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2020-12-11 14:12+0100\n"
+"PO-Revision-Date: 2021-03-29 11:49+0200\n"
 "Last-Translator: Julian Rüger <jr98@gmx.net>\n"
 "Language-Team: German\n"
 "Language: de\n"
@@ -20,26 +20,20 @@ msgid "Security"
 msgstr "Sicherheit"
 
 #: dlls/aclui/aclui.rc:32
-#, fuzzy
-#| msgid "&User name:"
 msgid "&Group or user names:"
-msgstr "&Benutzername:"
+msgstr "&Gruppen- oder Benutzernamen:"
 
 #: dlls/aclui/aclui.rc:38
-#, fuzzy
-#| msgid "Yellow"
 msgid "Allow"
-msgstr "Gelb"
+msgstr "Erlauben"
 
 #: dlls/aclui/aclui.rc:39
 msgid "Deny"
-msgstr ""
+msgstr "Verweigern"
 
 #: dlls/aclui/aclui.rc:47
-#, fuzzy
-#| msgid "Permission denied"
 msgid "Permissions for %1"
-msgstr "Keine Berechtigung"
+msgstr "Berechtigungen für %1"
 
 #: dlls/appwiz.cpl/appwiz.rc:58
 msgid "Install/Uninstall"
@@ -14309,17 +14303,6 @@ msgid "Icons (*.ico)"
 msgstr "Symbole (*.ico)"
 
 #: programs/reg/reg.rc:35
-#, fuzzy
-#| msgid ""
-#| "Usage:\n"
-#| "  REG [operation] [parameters]\n"
-#| "\n"
-#| "Supported operations:\n"
-#| "  ADD | DELETE | IMPORT | EXPORT | QUERY\n"
-#| "\n"
-#| "For help on a specific operation, type:\n"
-#| "  REG [operation] /?\n"
-#| "\n"
 msgid ""
 "Usage:\n"
 "  REG [operation] [parameters]\n"
@@ -14335,7 +14318,7 @@ msgstr ""
 "  REG [Operation] [Parameter]\n"
 "\n"
 "Unterstützte Operationen:\n"
-"  ADD | DELETE | IMPORT | EXPORT | QUERY\n"
+"  ADD | DELETE | EXPORT | IMPORT | QUERY\n"
 "\n"
 "Hilfe für eine spezifische Operation:\n"
 "  REG [Operation] /?\n"
@@ -14390,6 +14373,56 @@ msgid ""
 "     Modify the registry without prompting for confirmation.\n"
 "\n"
 msgstr ""
+"REG ADD <Schlüssel> [/v Wertn. | /ve] [/t Typ] [/s Trennz.] [/d Daten] [/f]\n"
+"\n"
+"  Fügt der Registrierung einen Schlüssel, oder einem gegebenen Schlüssel\n"
+"  einen Wert hinzu.\n"
+"\n"
+"  <Schlüssel>\n"
+"     Der hinzuzufügende Schlüssel oder, falls entweder [/v] oder [/ve]\n"
+"     angegeben wurden, der Schlüssel dem die neuen Daten hinzugefügt werden\n"
+"     sollen.\n"
+"\n"
+"     Format: ROOT\\Unterschlüssel\n"
+"\n"
+"     ROOT: Ein vorgegebener Hauptschlüssel. Muss einer der folgenden sein:\n"
+"\n"
+"         HKEY_LOCAL_MACHINE  | HKLM\n"
+"         HKEY_CURRENT_USER   | HKCU\n"
+"         HKEY_CLASSES_ROOT   | HKCR\n"
+"         HKEY_USERS          | HKU\n"
+"         HKEY_CURRENT_CONFIG | HKCC\n"
+"\n"
+"     Unterschlüssel: Der volle Pfad zu einem Schlüssel unter dem\n"
+"                     angegebenen ROOT-Schlüssel.\n"
+"\n"
+"  /v <Wertname>\n"
+"     Der Name des hinzuzufügenden Registrierungswertes.\n"
+"\n"
+"  /ve\n"
+"     Einen unbenannten Registrierungswert hinzufügen. Diese Option ändert\n"
+"     den (Standard)-Wert.\n"
+"\n"
+"  /t <Typ>\n"
+"     Der Datentyp der hinzuzufügenden Werte. Wenn [/t] angegeben wird,\n"
+"     muss <Typ> einer der folgenden sein:\n"
+"\n"
+"         REG_SZ    | REG_MULTI_SZ | REG_EXPAND_SZ\n"
+"         REG_DWORD | REG_BINARY   | REG_NONE\n"
+"\n"
+"     Falls [/t] nicht angegeben wird, ist der Standardtyp REG_SZ.\n"
+"\n"
+"  /s <Trennzeichen>\n"
+"     Das Zeichen, welches separate Zeichenketten in REG_MULTI_SZ-Daten\n"
+"     voneinander trennt. Falls [/s] nicht angegeben wird, ist das Standard-\n"
+"     Trennzeichen \\0.\n"
+"\n"
+"  /d <Daten>\n"
+"     Die Daten, die dem neuen Registrierungswert hinzugefügt werden sollen.\n"
+"\n"
+"  /f\n"
+"     Die Registrierung ohne weitere Bestätigung ändern.\n"
+"\n"
 
 #: programs/reg/reg.rc:92
 msgid ""
@@ -14429,6 +14462,43 @@ msgid ""
 "     prompting for confirmation.\n"
 "\n"
 msgstr ""
+"REG DELETE <Schlüssel> [/v Wertname | /ve | /va] [/f]\n"
+"\n"
+"  Löscht einen Registrierungsschlüssel (inklusive aller Unterschlüssel und\n"
+"  Werte), oder löscht einen oder mehrere Werte aus dem Schlüssel.\n"
+"\n"
+"  <Schlüssel>\n"
+"     Der zu löschende Schlüssel oder, falls [/v], [/ve] oder [/va]\n"
+"     angegeben wurden, der Schlüssel aus welchem einer oder mehrere Werte\n"
+"     entfernt werden sollen.\n"
+"\n"
+"     Format: ROOT\\Unterschlüssel\n"
+"\n"
+"     ROOT: Ein vorgegebener Hauptschlüssel. Muss einer der folgenden sein:\n"
+"\n"
+"         HKEY_LOCAL_MACHINE  | HKLM\n"
+"         HKEY_CURRENT_USER   | HKCU\n"
+"         HKEY_CLASSES_ROOT   | HKCR\n"
+"         HKEY_USERS          | HKU\n"
+"         HKEY_CURRENT_CONFIG | HKCC\n"
+"\n"
+"     Unterschlüssel: Der volle Pfad zu einem Schlüssel unter dem\n"
+"                     angegebenen ROOT-Schlüssel.\n"
+"\n"
+"  /v <Wertname>\n"
+"     Der Name des zu entfernenden Registrierungswertes.\n"
+"\n"
+"  /ve\n"
+"     Löscht einen unbenannten Wert. Diese Option entfernt den (Standard)-\n"
+"     Registrierungswert.\n"
+"\n"
+"  /va\n"
+"     Entfernt alle Werte aus dem angegebenen Schlüssel.\n"
+"\n"
+"  /f\n"
+"     Löscht den Registrierungsschlüssel (inklusive aller Unterschlüssel und\n"
+"     Werte) ohne weitere Bestätigung.\n"
+"\n"
 
 #: programs/reg/reg.rc:114
 msgid ""
@@ -14464,16 +14534,48 @@ msgid ""
 "     List all registry entries under <key> and its subkeys.\n"
 "\n"
 msgstr ""
+"REG QUERY <Schlüssel> [/v Wertname | /ve] [/s]\n"
+"\n"
+"  Fragt einen Registrierungsschlüssel ab und listet alle direkten\n"
+"  Unterschlüssel, Werte und darin enthaltene Daten auf.\n"
+"  Mit [/s] werden rekursiv auch alle Unterschlüssel abgefragt.\n"
+"\n"
+"  <Schlüssel>\n"
+"     Der abzufragende Schlüssel.\n"
+"\n"
+"     Format: ROOT\\Unterschlüssel\n"
+"\n"
+"     ROOT: Ein vorgegebener Hauptschlüssel. Muss einer der folgenden sein:\n"
+"\n"
+"         HKEY_LOCAL_MACHINE  | HKLM\n"
+"         HKEY_CURRENT_USER   | HKCU\n"
+"         HKEY_CLASSES_ROOT   | HKCR\n"
+"         HKEY_USERS          | HKU\n"
+"         HKEY_CURRENT_CONFIG | HKCC\n"
+"\n"
+"     Unterschlüssel: Der volle Pfad zu einem Schlüssel unter dem\n"
+"                     angegebenen ROOT-Schlüssel.\n"
+"\n"
+"  /v <Wertname>\n"
+"     Der Name des abzufragenden Registrierungswertes. Falls weder [/v] noch\n"
+"     [/ve] angegeben wurden, werden alle Werte unter <Schlüssel> auf-\n"
+"     gelistet.\n"
+"\n"
+"  /ve\n"
+"     Fragt einen unbenannten Registrierungswert ab. Diese Option fragt den\n"
+"     Wert (Standard) ab.\n"
+"\n"
+"  /s\n"
+"     Listet alle Einträge unter <Schlüssel> und seinen Unterschlüsseln auf.\n"
+"\n"
 
 #: programs/reg/reg.rc:116
 msgid "The operation completed successfully\n"
 msgstr "Der Vorgang wurde erfolgreich abgeschlossen\n"
 
 #: programs/reg/reg.rc:117
-#, fuzzy
-#| msgid "reg: Invalid key name\n"
 msgid "reg: Invalid registry key\n"
-msgstr "reg: Ungültiger Schlüsselname\n"
+msgstr "reg: Ungültiger Registrierungsschlüssel\n"
 
 #: programs/reg/reg.rc:118
 msgid "reg: Invalid command line parameters\n"
@@ -14583,6 +14685,14 @@ msgid ""
 "     The name and path of the registry file to import.\n"
 "\n"
 msgstr ""
+"REG IMPORT <Datei>\n"
+"\n"
+"  Importiert Schlüssel, Werte und Daten aus der angegebenen Datei in die\n"
+"  Registrierung.\n"
+"\n"
+"  <Datei>\n"
+"     Der Name und Pfad der zu importierenden Datei.\n"
+"\n"
 
 #: programs/reg/reg.rc:149
 msgid "reg: The file '%1' was not found.\n"
@@ -14626,6 +14736,34 @@ msgid ""
 "     Overwrite <file> without prompting for confirmation.\n"
 "\n"
 msgstr ""
+"REG EXPORT <Schlüssel> <Datei> [/y]\n"
+"\n"
+"  Exportiert einen angegebenen Registrierungsschlüssel (inklusive aller\n"
+"  Unterschlüssel und Werte) in eine Datei.\n"
+"\n"
+"  <Schlüssel>\n"
+"     Der zu exportierende Schlüssel.\n"
+"\n"
+"     Format: ROOT\\Unterschlüssel\n"
+"\n"
+"     ROOT: Ein vorgegebener Hauptschlüssel. Muss einer der folgenden sein:\n"
+"\n"
+"         HKEY_LOCAL_MACHINE  | HKLM\n"
+"         HKEY_CURRENT_USER   | HKCU\n"
+"         HKEY_CLASSES_ROOT   | HKCR\n"
+"         HKEY_USERS          | HKU\n"
+"         HKEY_CURRENT_CONFIG | HKCC\n"
+"\n"
+"     Unterschlüssel: Der volle Pfad zu einem Schlüssel unter dem\n"
+"                     angegebenen ROOT-Schlüssel.\n"
+"\n"
+"  <Datei>\n"
+"     Der Name und Pfad der anzulegenden Registrierungsdatei. Die\n"
+"     Endung des Dateinamens muss .reg lauten.\n"
+"\n"
+"  /y\n"
+"     <Datei> ohne weitere Bestätigung überschreiben.\n"
+"\n"
 
 #: programs/reg/reg.rc:172
 msgid "reg: Invalid system key [%1]\n"
@@ -15315,37 +15453,6 @@ msgid "regsvr32: Successfully uninstalled DLL '%1'\n"
 msgstr "regsvr32: DLL '%1' erfolgreich deinstalliert\n"
 
 #: programs/start/start.rc:57
-#, fuzzy
-#| msgid ""
-#| "Start a program, or open a document in the program normally used for "
-#| "files\n"
-#| "with that suffix.\n"
-#| "Usage:\n"
-#| "start [options] program_filename [...]\n"
-#| "start [options] document_filename\n"
-#| "\n"
-#| "Options:\n"
-#| "\"title\"        Specifies the title of the child windows.\n"
-#| "/d directory   Start the program in the specified directory.\n"
-#| "/b             Don't create a new console for the program.\n"
-#| "/i             Start the program with fresh environment variables.\n"
-#| "/min           Start the program minimized.\n"
-#| "/max           Start the program maximized.\n"
-#| "/low           Start the program in the idle priority class.\n"
-#| "/normal        Start the program in the normal priority class.\n"
-#| "/high          Start the program in the high priority class.\n"
-#| "/realtime      Start the program in the realtime priority class.\n"
-#| "/abovenormal   Start the program in the abovenormal priority class.\n"
-#| "/belownormal   Start the program in the belownormal priority class.\n"
-#| "/node n        Start the program on the specified NUMA node.\n"
-#| "/affinity mask Start the program with the specified affinity mask.\n"
-#| "/wait          Wait for the started program to finish, then exit with "
-#| "its\n"
-#| "exit code.\n"
-#| "/unix          Use a Unix filename and start the file like Windows\n"
-#| "Explorer.\n"
-#| "/ProgIDOpen    Open a document using the specified progID.\n"
-#| "/?             Display this help and exit.\n"
 msgid ""
 "Start a program, or open a document in the program normally used for files\n"
 "with that suffix.\n"
@@ -15401,6 +15508,7 @@ msgstr ""
 "/wait           Wartet, bis das Programm endet und beendet sich selbst mit\n"
 "                dessen Exitcode.\n"
 "/unix           Öffnet einen Unix-Dateinamen wie mit dem Windows-Explorer.\n"
+"/exec           Führt die angegebene Datei aus (für interne Verwendung).\n"
 "/ProgIDOpen     Öffnet ein Dokument mit der angegebenen progID.\n"
 "/?              Zeigt diese Hilfe an und beendet sich.\n"
 
-- 
2.1.4